Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.ejie.r01f.servlet.filter.authorization
Class R01FAuthCfg

    java.lang.Object
      com.ejie.r01f.servlet.filter.authorization.R01FAuthCfg

All Implemented Interfaces:
  java.io.Serializable

public class R01FAuthCfg
extends java.lang.Object
implements java.io.Serializable

Modela la informacion de autorizacion de una aplicacion

See Also:
  Serialized Form

Nested Class Summary
`class` | `R01FAuthCfg.Provider` Item perteneciente al recurso

Constructor Summary
`R01FAuthCfg()`

Method Summary
`java.lang.String` | `getAppCode()`
`R01FAuthCfg.Provider` | `getProvider()`
`java.util.Map` | `getTargets()`
`boolean` | `isOverride()`
`boolean` | `isUseSession()`
`void` | `loadConfig(java.lang.String theAppCode)` Carga la configuración de seguridad de una aplicación.
`void` | `setAppCode(java.lang.String theAppCode)`
`void` | `setOverride(boolean theOverride)`
`void` | `setProvider(R01FAuthCfg.Provider theProvider)`
`void` | `setTargets(java.util.Map theTargets)`
`void` | `setUseSession(boolean theUseSession)`
`java.lang.String` | `toString()` Obtiene la representación en formato cadena de la configuracion de seguridad

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### R01FAuthCfg

    public R01FAuthCfg()

Method Detail

### toString

    public java.lang.String toString()

  Obtiene la representación en formato cadena de la configuracion de seguridad

### loadConfig

    public void loadConfig(java.lang.String theAppCode)

  Carga la configuración de seguridad de una aplicación. Para ello lee en el fichero [codApp].properties.xml la sección

  Parameters:
    `theAppCode` - Código de aplicación

### getAppCode

    public java.lang.String getAppCode()

  Returns:
    Returns the appCode.

### setAppCode

    public void setAppCode(java.lang.String theAppCode)

### isOverride

    public boolean isOverride()

  Returns:
    Returns the override.

### setOverride

    public void setOverride(boolean theOverride)

### getProvider

    public R01FAuthCfg.Provider getProvider()

  Returns:
    Returns the provider.

### setProvider

    public void setProvider(R01FAuthCfg.Provider theProvider)

### getTargets

    public java.util.Map getTargets()

  Returns:
    Returns the targets.

### setTargets

    public void setTargets(java.util.Map theTargets)

### isUseSession

    public boolean isUseSession()

  Returns:
    Returns the useSession.

### setUseSession

    public void setUseSession(boolean theUseSession)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD